--- title: "Execute Test Plan" url: https://docs.catalyst.zoho.com/en/api/code-reference/devops/automation-testing/execute-test-plan/ description: "This API enables you to trigger the execution of a test plan in Automation Testing that is already configured in the remote console." last_updated: 2026-08-17T12:16:04Z service: DevOps type: api --- # Automation Testing [Automation Testing](https://docs.catalyst.zoho.com/en/devops/help/automation-testing/introduction/) is an API testing tool that automates the testing process of the APIs in your application. You can test the Basic I/O and Advanced I/O functions in your application, or any third-party URL, and obtain responses. You can write test cases based on your requirements, schedule tests to be executed automatically, and manage the entire process of API testing with minimal manual intervention. > **Note:** Automation Testing is currently not available to Catalyst users accessing from the EU, AU, IN, or CA data centers. # Execute a Test Plan ### Description A [test plan](https://docs.catalyst.zoho.com/en/devops/help/automation-testing/test-plans/) enables the automated execution of one or more [test suites](https://docs.catalyst.zoho.com/en/devops/help/automation-testing/test-suites/) in Automation Testing. This API enables you to trigger the execution of a test plan that is already configured in the remote console in your project. This is equivalent to the [instant run option](https://docs.catalyst.zoho.com/en/devops/help/automation-testing/test-plans/#manage-a-test-plan) available for a test plan in the console. ### Request Details #### Request URL `POST` {api-domain}/baas/v1/project/{project_id}/automation-testing/{test_plan_id}/execute - **api-domain** (URL): The DC-specific domain to access Catalyst API - **project_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/getting-started/set-up-a-catalyst-project/general-settings/) of the project - **test_plan_id** (Numerical): The [unique ID](https://docs.catalyst.zoho.com/en/devops/help/automation-testing/test-plans/#manage-a-test-plan) created for a test plan. #### Request Headers **Authorization:** Zoho-oauthtoken {oauth_token} **Environment:** Development **Optional Headers** **CATALYST-ORG:** {org_id} **Environment:** Development #### Scope ZohoCatalyst.automationtesting.execute ### Response Details The response contains the status of the test plan execution, along with details such as the unique Run ID that will be generated for each automated or instant test plan execution, the Test Plan ID that was passed, and the `is_schedule_started` parameter that contains the status of the execution initiation as `true` or `false`. **Sample Request** ```bash curl -X POST \ https://api.catalyst.zoho.com/baas/v1/project/3359000000016812/automation-testing/537000000022025/execute \ -H "Authorization: Zoho-oauthtoken 1000.25*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*e.3e*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*\*3" \ ``` **Sample Response** ```json { "status": "success", "data": { "id": 537000000034053, "test_plan_id": 537000000022025, "is_schedule_started": true } } ```